## org.apache.lucene.spatial.tier
Class CartesianShapeFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.CartesianShapeFilter

All Implemented Interfaces:
  java.io.Serializable

    public class CartesianShapeFilter

extends org.apache.lucene.search.Filter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Method Summary
`org.apache.lucene.search.DocIdSet` `getDocIdSet(org.apache.lucene.index.IndexReader reader)`

Methods inherited from class org.apache.lucene.search.Filter
`bits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws java.io.IOException

  Overrides:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.